function laplacian_of_gauss(I)  %fonction qui prend en paramtre une image I et retourne une image J 
    [m, n, can] = size(I); %m=nb lignes, n=nb colonnes, can=nb canaux
    if(can > 1)
        I = rgb2gray(I);  %dans le cas d'une image couleur, la transformer en NG
    end

    I2=I;
    %I2=imnoise(I,'gaussian',0, 0.05);
    %I2=imnoise(I,'salt & pepper',0.4);

    %SOLUTION AVEC LA FONCTION edge DE MATLAB :
    seuil = input('Donner le seuil: ');
    J = edge(I2, 'log', seuil/255);    

    [J2, seuil2] = edge(I2, 'log');    

    figure
    %divise la fentre en 1 ligne et 2 colonnes : pour afficher 2 images l'une  ct de l'autre
    subplot(1, 2, 1)  %slectionne le premier cadran 
    colormap(gray)
    imagesc(J);      %affichage du rsultat
    title(strcat(['Seuil gal  ', num2str(seuil)]));  % affichage du seuil

    subplot(1, 2, 2) %slectionne le deuxime cadran
    colormap(gray)
    imagesc(J2);   %affichage du rsultat
    title(strcat(['Seuil gal  ', num2str(seuil2*255)]));  % affichage du seuil

